%define name    aespipe-wrapper
%define version 0.46
%define release 1

Name:           %{name}
Version:        %{version}
Release:        %{release}
BuildArch:      noarch
Summary:        Simplified wrapper interface to aespipe.
License:        GPL
Packager:       Martin A. Brown
Vendor:         linux-ip.net
# Distribution:   
Group:          System/Base
Source0:        %{name}-%{version}.tar.gz
#Patch0:
#Patch1:
#Prereq:
Requires: aespipe
Requires: gpg
Requires: sharutils
Requires: bash
#Conflicts:
BuildRoot: %{_tmppath}/%{name}-%{version}-root/

%description
The distinguishing characteristic of this package (when compared
against similar pine and gpg wrappers) is its ability to handle
multiple roles or identities (i.e. different keys for different
email addresses). Unlike some of the other pine and gpg wrappers,
this one performs no passphrase caching (consider using gpg-agent
in gnupg2).

%prep
%setup
#%patch0 -p1
#%patch1 -p0

test "$RPM_BUILD_ROOT" == "/" || rm -rf "$RPM_BUILD_ROOT"
%build
# ./configure
# make

%install
#make DESTDIR=${RPM_BUILD_ROOT} install

# -- install the "etc" tree into the buildroot
#
install -d \
           $RPM_BUILD_ROOT/%{_bindir}/

install    \
           %{name} \
           $RPM_BUILD_ROOT/%{_bindir}/

%clean
test "$RPM_BUILD_ROOT" == "/" || rm -rf "$RPM_BUILD_ROOT"


# %pre
# %preun
# %post
# %postun
# %trigger
# %triggerun

%files
%defattr(-,root,root)
%doc README ChangeLog
%{_bindir}/*
# %ghost /var/run/%{name}.pid

%changelog
* Sat Sep  9 2006 Martin A. Brown <martin@linux-ip.net> 0.47-1
0.47-1 initial packaging
